Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.location
Class LocationManagerImpl

    java.lang.Object
      hr.tis.mgw.client.location.LocationManagerImpl

All Implemented Interfaces:
  LocationManager

Deprecated. For mGw version 2 use LocationManager2Impl.

public class LocationManagerImpl
extends java.lang.Object
implements LocationManager

Implementation of `LocationManager` that uses Axis SOAP library for communication with gateway's Parlay X web services.

Following dependencies have to be set:

- `RouteCredentialsHandler`, for resolving security credentials specific to route
- mobileTerminalLocationPortURL, specifying URL of gateway's MobileTerminalLocationPort web service

See Also:
  `LocationManager2Impl`

Constructor Summary
`LocationManagerImpl()` Deprecated.

Method Summary
`Location` | `getLocation(java.lang.String routeId, java.lang.String requesterAddress, java.lang.String endUserAddress, Accuracy accuracy)` Deprecated. Returns location of mobile terminal if available.
`java.lang.String` | `getMobileTerminalLocationPortURL()` Deprecated.
`RouteCredentialsHandler` | `getRouteCredentialsHandler()` Deprecated.
`int` | `getTimeout()` Deprecated.
`void` | `setMobileTerminalLocationPortURL(java.lang.String mobileTerminalLocationPortURL)` Deprecated.
`void` | `setRouteCredentialsHandler(RouteCredentialsHandler routeCredentialsHandler)` Deprecated.
`void` | `setTimeout(int timeout)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocationManagerImpl

    public LocationManagerImpl()

  Deprecated.

Method Detail

### getLocation

    public Location getLocation(java.lang.String routeId,
                                java.lang.String requesterAddress,
                                java.lang.String endUserAddress,
                                Accuracy accuracy)
                         throws UnknownEndUserAddressException,
                                GatewayException,
                                NoRouteCredentialsException,
                                java.rmi.RemoteException

  Deprecated.
  Description copied from interface: `LocationManager`
  Returns location of mobile terminal if available. Location accuracy can also be specified.

  Specified by:
    `getLocation` in interface `LocationManager`
  Parameters:
    `routeId` - route identifier
    `requesterAddress` - requester address (MSISDN number or some other identifier)
    `endUserAddress` - target end user address (MSISDN number or some other identifier)
    `accuracy` - location accuracy
  Returns:
    `Location` containing all relevant location data
  Throws:
    `java.rmi.RemoteException` - when there was communication error with gateway
    `GatewayException` - when gateway couldn't process request for some reason
    `NoRouteCredentialsException` - when security credentials cannot be resolved for specified route
    `UnknownEndUserAddressException` - when end user address was unknown

### setMobileTerminalLocationPortURL

    public void setMobileTerminalLocationPortURL(java.lang.String mobileTerminalLocationPortURL)
                                          throws java.net.MalformedURLException

  Deprecated.
  Throws:
    `java.net.MalformedURLException`

### getMobileTerminalLocationPortURL

    public java.lang.String getMobileTerminalLocationPortURL()

  Deprecated.

### setRouteCredentialsHandler

    public void setRouteCredentialsHandler(RouteCredentialsHandler routeCredentialsHandler)

  Deprecated.

### getRouteCredentialsHandler

    public RouteCredentialsHandler getRouteCredentialsHandler()

  Deprecated.

### getTimeout

    public int getTimeout()

  Deprecated.

### setTimeout

    public void setTimeout(int timeout)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.